# Generated from square.rb-19.0.0.20220420.gem by gem2rpm -*- rpm-spec -*-
%global gem_name square.rb

Name: rubygem-%{gem_name}
Version: 19.0.0.20220420
Release: 1%{?dist}
Summary: square
License: Apache-2.0
URL: https://squareup.com/developers
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6
# BuildRequires: rubygem(minitest) >= 5.14
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest) >= 5.14.1
# BuildRequires: rubygem(minitest-proveit) >= 1.0
# BuildRequires: rubygem(minitest-proveit) < 2
BuildArch: noarch

%description
Use Square APIs to manage and run business including payment, customer,
product, inventory, and employee management.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 19.0.0.20220420-1
- Initial package
